-------------------------------------------------
-- Motorola MCM6946-10 512K x 8 Asynchronous SRAM
-------------------------------------------------
--
--======================================================================--
--    Copyright (c) 1997 by Denali Software, Inc.  All rights reserved
--======================================================================--
-- 
-- This file contains proprietary information of Denali Software, Inc.
-- SOMA(tm) is Denali Software's proprietary language for defining 
-- memory models.  
-- 
-- Subject to your agreement with the restrictions set forth below, 
-- Denali Software, Inc., grants you a non-exclusive license to use
-- the SOMA language in the following manner :
-- 
-- You may:
-- 
--   *  Use SOMA language to create memory models.
-- 
--   *  Distribute memory models created using the SOMA language to 
--      others provided that this notice is not removed from the file.
-- 
-- You may not:
-- 
--   *  Create software programs or tools that use the SOMA language 
--      as either input or output where the software programs are 
--      intended for distribution to others.
-- 
--   *  Change the SOMA language in any manner.
-- 
-- By using the SOMA specification files, you are consenting to be 
-- bound by and are becoming party to this agreement.  If you do not 
-- agree to all of the terms of this agreement, you may not use the 
-- SOMA specification files.
-- 
-- If you have any questions regarding this agreement, or if you 
-- would like to inquire about obtaining additional or different rights 
-- in the SOMA specification files and SOMA language, please contact 
-- Denali Software.
--
Version 0.001
-- Written on 5/13/98
-- MemMaker version: 1.680  $DENALI: /home/apps2/denali/memory_modeler/v6.80
sram
Manufacturer motorola
-- Sizes parameters
Sizes
portCount 1
semaphoreWidth 0
-- List all the features indicating
-- whether they are on or not.
Features
outputEnableMode 1  -- Chip has Output Enable
resetMode 0  -- Single Cycle Reset
ce2ActiveLow 0  -- Chip Enable 2 Active Low
ce1ActiveLow 1  -- Chip Enable 1 Active Low
twoCE 0  -- Chip has two Chip Enables
oneCE 1  -- Chip has one Chip Enable
addressLatchMode 0  -- Address Latch
dataLatchMode 0  -- Data Latch
byteEnableMode 0  -- Byte Enable
interruptMode 0  -- Write Contention Interrupt Enabled
busyMode 0  -- Write Contention Busy Enabled
semaphoreMode 0  -- Write Contention Semaphores Enabled
masterSlaveMode 0  -- Master Mode Enabled
zDuringWriteMode 0  -- Tristate When Write Disabled
readDuringWriteMode 0  -- Read When Write Disabled
uniDirMode 0  -- Unidirectional Input and Output Pins
Pins
-- Pin information <pin name> <generic pin name>

ms ms 1   -- Master/Slave
reset reset 1   -- Reset
address addr 19  -- Address
addressLatch addressLatch 1   -- Address Latch
cebar ebar 1   -- Chip (Port) Enable
ce2bar ce2bar 1   -- Second Chip Enable
busybar busybar 1   -- Port Busy 
webar wbar 1  -- Write Enable
oebar gbar 1   -- Output Enable
sembar sembar 1   -- Semaphore
bebar bebar 0  -- Byte Enable
Data dq 8  -- Data
DataIn DataIn 0  -- Data In
DataOut DataOut 0  -- Data Out
dataLatch dataLatch 1   -- Data Latch
intbar intbar 1   -- Interrupt

Timing
-- <symbolic name> [<minimum value>] [<maximum value>]
taa 10 ns -- Address Access Time
 -- tabe off 
tace 10 ns -- Chip Enable Access Time
tah 0 ns -- Address Hold Time
taoe 5 ns -- Output Enable Access Time
tas 0 ns -- Address Setup Time
 -- tavel off 
taw 9 ns -- Address Valid to End-of-Write
 -- tbdd off 
 -- tbha off 
 -- tbhc off 
 -- tbla off 
 -- tblc off 
 -- tbw off 
tcw 9 ns -- Chip Enable to End-of-Write
 -- tddd off 
tdh 0 ns -- Data Hold Time
tds 5 ns -- Data Setup Time
 -- thzbe off 
thzce 5 ns -- Chip disable to Output High-Z
thzoe 5 ns -- Output disable to Output High-Z
thzwe 5 ns -- Write Enable to Output in High-Z
 -- thzbe_max off 
 -- thzce_max off 
 -- thzoe_max off 
 -- thzwe_max off 
 -- tinr off 
 -- tins off 
 -- tlzbe off 
tlzce 3 ns -- Chip Enable to Output in Low-Z
tlzoe 0 ns -- Output Enable to Output in Low-Z
tlzwe 3 ns -- Write Disable to Output in Low-Z
toh 2 ns -- Output Hold from Address Change
 -- tpd off 
 -- tps off 
 -- tpu off 
trc 10 ns -- Read Cycle Time
 -- tsop off 
 -- tsps off 
 -- tswrd off 
 -- twb off 
 -- twc off 
 -- twdd off 
 -- twh off 
twp1 8 ns -- Write Pulse Width
 -- twp2 off 
 -- talhqv off 
 -- talhall off 
 -- tavall off 
 -- tevall off 
 -- tavalh off 
 -- tevalh off 
 -- tallax off 
 -- tallex off 
 -- talhqx1 off 
 -- talhqx2 off 
 -- talhqz off 
 -- talhwl off 
 -- tdvdll off 
 -- tdveh off 
 -- tdlhwh off 
 -- tdlheh off 
 -- talleh off 
 -- tdlldx off 
 -- twhdlh off 
 -- tehdlh off 
 -- twhalh off 
 -- talhwh off 
